Subject: RE: Compiling Mesa from CVS under Cygwin B20.1
From: "Suhaib M. Siddiqi" <[email-masked]>
To: <[email-masked]>
Cc: "Sven Panne" <[email-masked]>, <[email-masked]>
Date: Mon, 6 Mar 2000 06:45:23 -0500

>
> > It includes GL. GLU, GLUT and RGB etc.
>
> I'm curious what opengl implementation is included in
>
>     cygwin-xfree-4.0-cygwin-v-1.tar.bz2
>
> I never did figure that out.  I think you are saying that it's SGI's
> recently open-sourced GLX?  If so, I'm surprised that there is a libgl.a.
> I didn't think GLX would build to something called libgl.a.

You need to get a book on OpenGL and read it carefully.  Sorry for the
comments.

If you do not know the differences between wGL, and GLX then I would be
wastin my time here.

BTW>  XFree86 only includes GL library of Mesa.  It does not implement
complete Mesa because it is irrelevant to a core X-server code.

Regards
Suhaib

>
> I had guessed that libgl.a is from mesa.  If that's true, whay is GLU
> not included, too?  Does it not build, currently?  (I'm not very familiar
> with mesa...yet)
>
>
> > There is a major difference in OpenGL 32 and OpenGL for X that
> is mainly wGL
> > and GLX.
> [...]
> > >
> >
> > This is not hacking??  You are mixing OpenGL32 (i.e wGL) with GLX????
>
> I'm not sure how to read this.  What, exactly, is "wGL"?  I think
> "OpenGL32" is the microsoft implementation?
>
> I'm using microsoft's GL with glut, and no GLX.  My original post was a
> mistake, as I've described in a different message.  Somehow, I missed that
> the original poster was using Mesa, and not microsoft's OpenGL
> implementation.
>
> Suhaib, and the other people working on the cygwin-xfree86 project, thank
> you for all your effort!
>
> -jeff

--
Want to unsubscribe from this list?
Send a message to [email-masked]